Index: /XIOS/dev/dev_olga/src/interface/fortran_attr/idomain_attr.F90
===================================================================
--- /XIOS/dev/dev_olga/src/interface/fortran_attr/idomain_attr.F90	(revision 1157)
+++ /XIOS/dev/dev_olga/src/interface/fortran_attr/idomain_attr.F90	(revision 1158)
@@ -15,5 +15,5 @@
     , data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, domain_ref, i_index, ibegin, j_index  &
     , jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d, lonvalue_2d, mask_1d, mask_2d, name  &
-    , ni, ni_glo, nj, nj_glo, nvertex, standard_name, type )
+    , ni, ni_glo, nj, nj_glo, nvertex, prec, standard_name, type )
 
     IMPLICIT NONE
@@ -52,4 +52,5 @@
       INTEGER  , OPTIONAL, INTENT(IN) :: nj_glo
       INTEGER  , OPTIONAL, INTENT(IN) :: nvertex
+      INTEGER  , OPTIONAL, INTENT(IN) :: prec
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: standard_name
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: type
@@ -61,5 +62,5 @@
       , data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, domain_ref, i_index, ibegin, j_index  &
       , jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d, lonvalue_2d, mask_1d, mask_2d, name  &
-      , ni, ni_glo, nj, nj_glo, nvertex, standard_name, type )
+      , ni, ni_glo, nj, nj_glo, nvertex, prec, standard_name, type )
 
   END SUBROUTINE xios(set_domain_attr)
@@ -69,5 +70,5 @@
     , data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, domain_ref, i_index, ibegin, j_index  &
     , jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d, lonvalue_2d, mask_1d, mask_2d, name  &
-    , ni, ni_glo, nj, nj_glo, nvertex, standard_name, type )
+    , ni, ni_glo, nj, nj_glo, nvertex, prec, standard_name, type )
 
     IMPLICIT NONE
@@ -105,4 +106,5 @@
       INTEGER  , OPTIONAL, INTENT(IN) :: nj_glo
       INTEGER  , OPTIONAL, INTENT(IN) :: nvertex
+      INTEGER  , OPTIONAL, INTENT(IN) :: prec
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: standard_name
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: type
@@ -112,5 +114,5 @@
       , data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, domain_ref, i_index, ibegin, j_index  &
       , jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d, lonvalue_2d, mask_1d, mask_2d, name  &
-      , ni, ni_glo, nj, nj_glo, nvertex, standard_name, type )
+      , ni, ni_glo, nj, nj_glo, nvertex, prec, standard_name, type )
 
   END SUBROUTINE xios(set_domain_attr_hdl)
@@ -120,5 +122,5 @@
     , data_i_index_, data_ibegin_, data_j_index_, data_jbegin_, data_ni_, data_nj_, domain_ref_  &
     , i_index_, ibegin_, j_index_, jbegin_, latvalue_1d_, latvalue_2d_, long_name_, lonvalue_1d_  &
-    , lonvalue_2d_, mask_1d_, mask_2d_, name_, ni_, ni_glo_, nj_, nj_glo_, nvertex_, standard_name_  &
+    , lonvalue_2d_, mask_1d_, mask_2d_, name_, ni_, ni_glo_, nj_, nj_glo_, nvertex_, prec_, standard_name_  &
     , type_ )
 
@@ -157,4 +159,5 @@
       INTEGER  , OPTIONAL, INTENT(IN) :: nj_glo_
       INTEGER  , OPTIONAL, INTENT(IN) :: nvertex_
+      INTEGER  , OPTIONAL, INTENT(IN) :: prec_
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: standard_name_
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: type_
@@ -314,4 +317,9 @@
       ENDIF
 
+      IF (PRESENT(prec_)) THEN
+        CALL cxios_set_domain_prec &
+      (domain_hdl%daddr, prec_)
+      ENDIF
+
       IF (PRESENT(standard_name_)) THEN
         CALL cxios_set_domain_standard_name &
@@ -330,5 +338,5 @@
     , data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, domain_ref, i_index, ibegin, j_index  &
     , jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d, lonvalue_2d, mask_1d, mask_2d, name  &
-    , ni, ni_glo, nj, nj_glo, nvertex, standard_name, type )
+    , ni, ni_glo, nj, nj_glo, nvertex, prec, standard_name, type )
 
     IMPLICIT NONE
@@ -367,4 +375,5 @@
       INTEGER  , OPTIONAL, INTENT(OUT) :: nj_glo
       INTEGER  , OPTIONAL, INTENT(OUT) :: nvertex
+      INTEGER  , OPTIONAL, INTENT(OUT) :: prec
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: standard_name
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: type
@@ -376,5 +385,5 @@
       , data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, domain_ref, i_index, ibegin, j_index  &
       , jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d, lonvalue_2d, mask_1d, mask_2d, name  &
-      , ni, ni_glo, nj, nj_glo, nvertex, standard_name, type )
+      , ni, ni_glo, nj, nj_glo, nvertex, prec, standard_name, type )
 
   END SUBROUTINE xios(get_domain_attr)
@@ -384,5 +393,5 @@
     , data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, domain_ref, i_index, ibegin, j_index  &
     , jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d, lonvalue_2d, mask_1d, mask_2d, name  &
-    , ni, ni_glo, nj, nj_glo, nvertex, standard_name, type )
+    , ni, ni_glo, nj, nj_glo, nvertex, prec, standard_name, type )
 
     IMPLICIT NONE
@@ -420,4 +429,5 @@
       INTEGER  , OPTIONAL, INTENT(OUT) :: nj_glo
       INTEGER  , OPTIONAL, INTENT(OUT) :: nvertex
+      INTEGER  , OPTIONAL, INTENT(OUT) :: prec
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: standard_name
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: type
@@ -427,5 +437,5 @@
       , data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, domain_ref, i_index, ibegin, j_index  &
       , jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d, lonvalue_2d, mask_1d, mask_2d, name  &
-      , ni, ni_glo, nj, nj_glo, nvertex, standard_name, type )
+      , ni, ni_glo, nj, nj_glo, nvertex, prec, standard_name, type )
 
   END SUBROUTINE xios(get_domain_attr_hdl)
@@ -435,5 +445,5 @@
     , data_i_index_, data_ibegin_, data_j_index_, data_jbegin_, data_ni_, data_nj_, domain_ref_  &
     , i_index_, ibegin_, j_index_, jbegin_, latvalue_1d_, latvalue_2d_, long_name_, lonvalue_1d_  &
-    , lonvalue_2d_, mask_1d_, mask_2d_, name_, ni_, ni_glo_, nj_, nj_glo_, nvertex_, standard_name_  &
+    , lonvalue_2d_, mask_1d_, mask_2d_, name_, ni_, ni_glo_, nj_, nj_glo_, nvertex_, prec_, standard_name_  &
     , type_ )
 
@@ -472,4 +482,5 @@
       INTEGER  , OPTIONAL, INTENT(OUT) :: nj_glo_
       INTEGER  , OPTIONAL, INTENT(OUT) :: nvertex_
+      INTEGER  , OPTIONAL, INTENT(OUT) :: prec_
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: standard_name_
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: type_
@@ -629,4 +640,9 @@
       ENDIF
 
+      IF (PRESENT(prec_)) THEN
+        CALL cxios_get_domain_prec &
+      (domain_hdl%daddr, prec_)
+      ENDIF
+
       IF (PRESENT(standard_name_)) THEN
         CALL cxios_get_domain_standard_name &
@@ -645,5 +661,5 @@
     , data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, domain_ref, i_index, ibegin, j_index  &
     , jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d, lonvalue_2d, mask_1d, mask_2d, name  &
-    , ni, ni_glo, nj, nj_glo, nvertex, standard_name, type )
+    , ni, ni_glo, nj, nj_glo, nvertex, prec, standard_name, type )
 
     IMPLICIT NONE
@@ -710,4 +726,6 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: nvertex
       LOGICAL(KIND=C_BOOL) :: nvertex_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: prec
+      LOGICAL(KIND=C_BOOL) :: prec_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: standard_name
       LOGICAL(KIND=C_BOOL) :: standard_name_tmp
@@ -721,5 +739,5 @@
       , data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, domain_ref, i_index, ibegin, j_index  &
       , jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d, lonvalue_2d, mask_1d, mask_2d, name  &
-      , ni, ni_glo, nj, nj_glo, nvertex, standard_name, type )
+      , ni, ni_glo, nj, nj_glo, nvertex, prec, standard_name, type )
 
   END SUBROUTINE xios(is_defined_domain_attr)
@@ -729,5 +747,5 @@
     , data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, domain_ref, i_index, ibegin, j_index  &
     , jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d, lonvalue_2d, mask_1d, mask_2d, name  &
-    , ni, ni_glo, nj, nj_glo, nvertex, standard_name, type )
+    , ni, ni_glo, nj, nj_glo, nvertex, prec, standard_name, type )
 
     IMPLICIT NONE
@@ -793,4 +811,6 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: nvertex
       LOGICAL(KIND=C_BOOL) :: nvertex_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: prec
+      LOGICAL(KIND=C_BOOL) :: prec_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: standard_name
       LOGICAL(KIND=C_BOOL) :: standard_name_tmp
@@ -802,5 +822,5 @@
       , data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, domain_ref, i_index, ibegin, j_index  &
       , jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d, lonvalue_2d, mask_1d, mask_2d, name  &
-      , ni, ni_glo, nj, nj_glo, nvertex, standard_name, type )
+      , ni, ni_glo, nj, nj_glo, nvertex, prec, standard_name, type )
 
   END SUBROUTINE xios(is_defined_domain_attr_hdl)
@@ -810,5 +830,5 @@
     , data_i_index_, data_ibegin_, data_j_index_, data_jbegin_, data_ni_, data_nj_, domain_ref_  &
     , i_index_, ibegin_, j_index_, jbegin_, latvalue_1d_, latvalue_2d_, long_name_, lonvalue_1d_  &
-    , lonvalue_2d_, mask_1d_, mask_2d_, name_, ni_, ni_glo_, nj_, nj_glo_, nvertex_, standard_name_  &
+    , lonvalue_2d_, mask_1d_, mask_2d_, name_, ni_, ni_glo_, nj_, nj_glo_, nvertex_, prec_, standard_name_  &
     , type_ )
 
@@ -875,4 +895,6 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: nvertex_
       LOGICAL(KIND=C_BOOL) :: nvertex__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: prec_
+      LOGICAL(KIND=C_BOOL) :: prec__tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: standard_name_
       LOGICAL(KIND=C_BOOL) :: standard_name__tmp
@@ -1060,4 +1082,10 @@
       ENDIF
 
+      IF (PRESENT(prec_)) THEN
+        prec__tmp = cxios_is_defined_domain_prec &
+      (domain_hdl%daddr)
+        prec_ = prec__tmp
+      ENDIF
+
       IF (PRESENT(standard_name_)) THEN
         standard_name__tmp = cxios_is_defined_domain_standard_name &
Index: /XIOS/dev/dev_olga/src/interface/fortran_attr/idomaingroup_attr.F90
===================================================================
--- /XIOS/dev/dev_olga/src/interface/fortran_attr/idomaingroup_attr.F90	(revision 1157)
+++ /XIOS/dev/dev_olga/src/interface/fortran_attr/idomaingroup_attr.F90	(revision 1158)
@@ -15,5 +15,5 @@
     , data_i_index, data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, domain_ref, group_ref  &
     , i_index, ibegin, j_index, jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d, lonvalue_2d  &
-    , mask_1d, mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex, standard_name, type )
+    , mask_1d, mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex, prec, standard_name, type )
 
     IMPLICIT NONE
@@ -53,4 +53,5 @@
       INTEGER  , OPTIONAL, INTENT(IN) :: nj_glo
       INTEGER  , OPTIONAL, INTENT(IN) :: nvertex
+      INTEGER  , OPTIONAL, INTENT(IN) :: prec
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: standard_name
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: type
@@ -62,5 +63,5 @@
       , data_i_index, data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, domain_ref, group_ref  &
       , i_index, ibegin, j_index, jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d, lonvalue_2d  &
-      , mask_1d, mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex, standard_name, type )
+      , mask_1d, mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex, prec, standard_name, type )
 
   END SUBROUTINE xios(set_domaingroup_attr)
@@ -70,5 +71,5 @@
     , data_i_index, data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, domain_ref, group_ref  &
     , i_index, ibegin, j_index, jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d, lonvalue_2d  &
-    , mask_1d, mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex, standard_name, type )
+    , mask_1d, mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex, prec, standard_name, type )
 
     IMPLICIT NONE
@@ -107,4 +108,5 @@
       INTEGER  , OPTIONAL, INTENT(IN) :: nj_glo
       INTEGER  , OPTIONAL, INTENT(IN) :: nvertex
+      INTEGER  , OPTIONAL, INTENT(IN) :: prec
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: standard_name
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: type
@@ -114,5 +116,5 @@
       , data_i_index, data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, domain_ref, group_ref  &
       , i_index, ibegin, j_index, jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d, lonvalue_2d  &
-      , mask_1d, mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex, standard_name, type )
+      , mask_1d, mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex, prec, standard_name, type )
 
   END SUBROUTINE xios(set_domaingroup_attr_hdl)
@@ -122,5 +124,5 @@
     , data_i_index_, data_ibegin_, data_j_index_, data_jbegin_, data_ni_, data_nj_, domain_ref_  &
     , group_ref_, i_index_, ibegin_, j_index_, jbegin_, latvalue_1d_, latvalue_2d_, long_name_, lonvalue_1d_  &
-    , lonvalue_2d_, mask_1d_, mask_2d_, name_, ni_, ni_glo_, nj_, nj_glo_, nvertex_, standard_name_  &
+    , lonvalue_2d_, mask_1d_, mask_2d_, name_, ni_, ni_glo_, nj_, nj_glo_, nvertex_, prec_, standard_name_  &
     , type_ )
 
@@ -160,4 +162,5 @@
       INTEGER  , OPTIONAL, INTENT(IN) :: nj_glo_
       INTEGER  , OPTIONAL, INTENT(IN) :: nvertex_
+      INTEGER  , OPTIONAL, INTENT(IN) :: prec_
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: standard_name_
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: type_
@@ -322,4 +325,9 @@
       ENDIF
 
+      IF (PRESENT(prec_)) THEN
+        CALL cxios_set_domaingroup_prec &
+      (domaingroup_hdl%daddr, prec_)
+      ENDIF
+
       IF (PRESENT(standard_name_)) THEN
         CALL cxios_set_domaingroup_standard_name &
@@ -338,5 +346,5 @@
     , data_i_index, data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, domain_ref, group_ref  &
     , i_index, ibegin, j_index, jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d, lonvalue_2d  &
-    , mask_1d, mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex, standard_name, type )
+    , mask_1d, mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex, prec, standard_name, type )
 
     IMPLICIT NONE
@@ -376,4 +384,5 @@
       INTEGER  , OPTIONAL, INTENT(OUT) :: nj_glo
       INTEGER  , OPTIONAL, INTENT(OUT) :: nvertex
+      INTEGER  , OPTIONAL, INTENT(OUT) :: prec
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: standard_name
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: type
@@ -385,5 +394,5 @@
       , data_i_index, data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, domain_ref, group_ref  &
       , i_index, ibegin, j_index, jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d, lonvalue_2d  &
-      , mask_1d, mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex, standard_name, type )
+      , mask_1d, mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex, prec, standard_name, type )
 
   END SUBROUTINE xios(get_domaingroup_attr)
@@ -393,5 +402,5 @@
     , data_i_index, data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, domain_ref, group_ref  &
     , i_index, ibegin, j_index, jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d, lonvalue_2d  &
-    , mask_1d, mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex, standard_name, type )
+    , mask_1d, mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex, prec, standard_name, type )
 
     IMPLICIT NONE
@@ -430,4 +439,5 @@
       INTEGER  , OPTIONAL, INTENT(OUT) :: nj_glo
       INTEGER  , OPTIONAL, INTENT(OUT) :: nvertex
+      INTEGER  , OPTIONAL, INTENT(OUT) :: prec
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: standard_name
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: type
@@ -437,5 +447,5 @@
       , data_i_index, data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, domain_ref, group_ref  &
       , i_index, ibegin, j_index, jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d, lonvalue_2d  &
-      , mask_1d, mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex, standard_name, type )
+      , mask_1d, mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex, prec, standard_name, type )
 
   END SUBROUTINE xios(get_domaingroup_attr_hdl)
@@ -445,5 +455,5 @@
     , data_i_index_, data_ibegin_, data_j_index_, data_jbegin_, data_ni_, data_nj_, domain_ref_  &
     , group_ref_, i_index_, ibegin_, j_index_, jbegin_, latvalue_1d_, latvalue_2d_, long_name_, lonvalue_1d_  &
-    , lonvalue_2d_, mask_1d_, mask_2d_, name_, ni_, ni_glo_, nj_, nj_glo_, nvertex_, standard_name_  &
+    , lonvalue_2d_, mask_1d_, mask_2d_, name_, ni_, ni_glo_, nj_, nj_glo_, nvertex_, prec_, standard_name_  &
     , type_ )
 
@@ -483,4 +493,5 @@
       INTEGER  , OPTIONAL, INTENT(OUT) :: nj_glo_
       INTEGER  , OPTIONAL, INTENT(OUT) :: nvertex_
+      INTEGER  , OPTIONAL, INTENT(OUT) :: prec_
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: standard_name_
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: type_
@@ -645,4 +656,9 @@
       ENDIF
 
+      IF (PRESENT(prec_)) THEN
+        CALL cxios_get_domaingroup_prec &
+      (domaingroup_hdl%daddr, prec_)
+      ENDIF
+
       IF (PRESENT(standard_name_)) THEN
         CALL cxios_get_domaingroup_standard_name &
@@ -661,5 +677,5 @@
     , data_i_index, data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, domain_ref, group_ref  &
     , i_index, ibegin, j_index, jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d, lonvalue_2d  &
-    , mask_1d, mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex, standard_name, type )
+    , mask_1d, mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex, prec, standard_name, type )
 
     IMPLICIT NONE
@@ -728,4 +744,6 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: nvertex
       LOGICAL(KIND=C_BOOL) :: nvertex_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: prec
+      LOGICAL(KIND=C_BOOL) :: prec_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: standard_name
       LOGICAL(KIND=C_BOOL) :: standard_name_tmp
@@ -739,5 +757,5 @@
       , data_i_index, data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, domain_ref, group_ref  &
       , i_index, ibegin, j_index, jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d, lonvalue_2d  &
-      , mask_1d, mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex, standard_name, type )
+      , mask_1d, mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex, prec, standard_name, type )
 
   END SUBROUTINE xios(is_defined_domaingroup_attr)
@@ -747,5 +765,5 @@
     , data_i_index, data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, domain_ref, group_ref  &
     , i_index, ibegin, j_index, jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d, lonvalue_2d  &
-    , mask_1d, mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex, standard_name, type )
+    , mask_1d, mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex, prec, standard_name, type )
 
     IMPLICIT NONE
@@ -813,4 +831,6 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: nvertex
       LOGICAL(KIND=C_BOOL) :: nvertex_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: prec
+      LOGICAL(KIND=C_BOOL) :: prec_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: standard_name
       LOGICAL(KIND=C_BOOL) :: standard_name_tmp
@@ -822,5 +842,5 @@
       , data_i_index, data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, domain_ref, group_ref  &
       , i_index, ibegin, j_index, jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d, lonvalue_2d  &
-      , mask_1d, mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex, standard_name, type )
+      , mask_1d, mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex, prec, standard_name, type )
 
   END SUBROUTINE xios(is_defined_domaingroup_attr_hdl)
@@ -830,5 +850,5 @@
     , data_i_index_, data_ibegin_, data_j_index_, data_jbegin_, data_ni_, data_nj_, domain_ref_  &
     , group_ref_, i_index_, ibegin_, j_index_, jbegin_, latvalue_1d_, latvalue_2d_, long_name_, lonvalue_1d_  &
-    , lonvalue_2d_, mask_1d_, mask_2d_, name_, ni_, ni_glo_, nj_, nj_glo_, nvertex_, standard_name_  &
+    , lonvalue_2d_, mask_1d_, mask_2d_, name_, ni_, ni_glo_, nj_, nj_glo_, nvertex_, prec_, standard_name_  &
     , type_ )
 
@@ -897,4 +917,6 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: nvertex_
       LOGICAL(KIND=C_BOOL) :: nvertex__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: prec_
+      LOGICAL(KIND=C_BOOL) :: prec__tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: standard_name_
       LOGICAL(KIND=C_BOOL) :: standard_name__tmp
@@ -1088,4 +1110,10 @@
       ENDIF
 
+      IF (PRESENT(prec_)) THEN
+        prec__tmp = cxios_is_defined_domaingroup_prec &
+      (domaingroup_hdl%daddr)
+        prec_ = prec__tmp
+      ENDIF
+
       IF (PRESENT(standard_name_)) THEN
         standard_name__tmp = cxios_is_defined_domaingroup_standard_name &
Index: /XIOS/dev/dev_olga/src/interface/fortran_attr/iexpand_domain_attr.F90
===================================================================
--- /XIOS/dev/dev_olga/src/interface/fortran_attr/iexpand_domain_attr.F90	(revision 1157)
+++ /XIOS/dev/dev_olga/src/interface/fortran_attr/iexpand_domain_attr.F90	(revision 1158)
@@ -12,9 +12,13 @@
 
   SUBROUTINE xios(set_expand_domain_attr)  &
-    ( expand_domain_id, order, type )
+    ( expand_domain_id, i_periodic, j_periodic, order, type )
 
     IMPLICIT NONE
       TYPE(txios(expand_domain))  :: expand_domain_hdl
       CHARACTER(LEN=*), INTENT(IN) ::expand_domain_id
+      LOGICAL  , OPTIONAL, INTENT(IN) :: i_periodic
+      LOGICAL (KIND=C_BOOL) :: i_periodic_tmp
+      LOGICAL  , OPTIONAL, INTENT(IN) :: j_periodic
+      LOGICAL (KIND=C_BOOL) :: j_periodic_tmp
       INTEGER  , OPTIONAL, INTENT(IN) :: order
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: type
@@ -23,28 +27,48 @@
       (expand_domain_id,expand_domain_hdl)
       CALL xios(set_expand_domain_attr_hdl_)   &
-      ( expand_domain_hdl, order, type )
+      ( expand_domain_hdl, i_periodic, j_periodic, order, type )
 
   END SUBROUTINE xios(set_expand_domain_attr)
 
   SUBROUTINE xios(set_expand_domain_attr_hdl)  &
-    ( expand_domain_hdl, order, type )
-
-    IMPLICIT NONE
-      TYPE(txios(expand_domain)) , INTENT(IN) :: expand_domain_hdl
+    ( expand_domain_hdl, i_periodic, j_periodic, order, type )
+
+    IMPLICIT NONE
+      TYPE(txios(expand_domain)) , INTENT(IN) :: expand_domain_hdl
+      LOGICAL  , OPTIONAL, INTENT(IN) :: i_periodic
+      LOGICAL (KIND=C_BOOL) :: i_periodic_tmp
+      LOGICAL  , OPTIONAL, INTENT(IN) :: j_periodic
+      LOGICAL (KIND=C_BOOL) :: j_periodic_tmp
       INTEGER  , OPTIONAL, INTENT(IN) :: order
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: type
 
       CALL xios(set_expand_domain_attr_hdl_)  &
-      ( expand_domain_hdl, order, type )
+      ( expand_domain_hdl, i_periodic, j_periodic, order, type )
 
   END SUBROUTINE xios(set_expand_domain_attr_hdl)
 
   SUBROUTINE xios(set_expand_domain_attr_hdl_)   &
-    ( expand_domain_hdl, order_, type_ )
-
-    IMPLICIT NONE
-      TYPE(txios(expand_domain)) , INTENT(IN) :: expand_domain_hdl
+    ( expand_domain_hdl, i_periodic_, j_periodic_, order_, type_ )
+
+    IMPLICIT NONE
+      TYPE(txios(expand_domain)) , INTENT(IN) :: expand_domain_hdl
+      LOGICAL  , OPTIONAL, INTENT(IN) :: i_periodic_
+      LOGICAL (KIND=C_BOOL) :: i_periodic__tmp
+      LOGICAL  , OPTIONAL, INTENT(IN) :: j_periodic_
+      LOGICAL (KIND=C_BOOL) :: j_periodic__tmp
       INTEGER  , OPTIONAL, INTENT(IN) :: order_
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: type_
+
+      IF (PRESENT(i_periodic_)) THEN
+        i_periodic__tmp = i_periodic_
+        CALL cxios_set_expand_domain_i_periodic &
+      (expand_domain_hdl%daddr, i_periodic__tmp)
+      ENDIF
+
+      IF (PRESENT(j_periodic_)) THEN
+        j_periodic__tmp = j_periodic_
+        CALL cxios_set_expand_domain_j_periodic &
+      (expand_domain_hdl%daddr, j_periodic__tmp)
+      ENDIF
 
       IF (PRESENT(order_)) THEN
@@ -61,9 +85,13 @@
 
   SUBROUTINE xios(get_expand_domain_attr)  &
-    ( expand_domain_id, order, type )
+    ( expand_domain_id, i_periodic, j_periodic, order, type )
 
     IMPLICIT NONE
       TYPE(txios(expand_domain))  :: expand_domain_hdl
       CHARACTER(LEN=*), INTENT(IN) ::expand_domain_id
+      LOGICAL  , OPTIONAL, INTENT(OUT) :: i_periodic
+      LOGICAL (KIND=C_BOOL) :: i_periodic_tmp
+      LOGICAL  , OPTIONAL, INTENT(OUT) :: j_periodic
+      LOGICAL (KIND=C_BOOL) :: j_periodic_tmp
       INTEGER  , OPTIONAL, INTENT(OUT) :: order
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: type
@@ -72,28 +100,48 @@
       (expand_domain_id,expand_domain_hdl)
       CALL xios(get_expand_domain_attr_hdl_)   &
-      ( expand_domain_hdl, order, type )
+      ( expand_domain_hdl, i_periodic, j_periodic, order, type )
 
   END SUBROUTINE xios(get_expand_domain_attr)
 
   SUBROUTINE xios(get_expand_domain_attr_hdl)  &
-    ( expand_domain_hdl, order, type )
-
-    IMPLICIT NONE
-      TYPE(txios(expand_domain)) , INTENT(IN) :: expand_domain_hdl
+    ( expand_domain_hdl, i_periodic, j_periodic, order, type )
+
+    IMPLICIT NONE
+      TYPE(txios(expand_domain)) , INTENT(IN) :: expand_domain_hdl
+      LOGICAL  , OPTIONAL, INTENT(OUT) :: i_periodic
+      LOGICAL (KIND=C_BOOL) :: i_periodic_tmp
+      LOGICAL  , OPTIONAL, INTENT(OUT) :: j_periodic
+      LOGICAL (KIND=C_BOOL) :: j_periodic_tmp
       INTEGER  , OPTIONAL, INTENT(OUT) :: order
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: type
 
       CALL xios(get_expand_domain_attr_hdl_)  &
-      ( expand_domain_hdl, order, type )
+      ( expand_domain_hdl, i_periodic, j_periodic, order, type )
 
   END SUBROUTINE xios(get_expand_domain_attr_hdl)
 
   SUBROUTINE xios(get_expand_domain_attr_hdl_)   &
-    ( expand_domain_hdl, order_, type_ )
-
-    IMPLICIT NONE
-      TYPE(txios(expand_domain)) , INTENT(IN) :: expand_domain_hdl
+    ( expand_domain_hdl, i_periodic_, j_periodic_, order_, type_ )
+
+    IMPLICIT NONE
+      TYPE(txios(expand_domain)) , INTENT(IN) :: expand_domain_hdl
+      LOGICAL  , OPTIONAL, INTENT(OUT) :: i_periodic_
+      LOGICAL (KIND=C_BOOL) :: i_periodic__tmp
+      LOGICAL  , OPTIONAL, INTENT(OUT) :: j_periodic_
+      LOGICAL (KIND=C_BOOL) :: j_periodic__tmp
       INTEGER  , OPTIONAL, INTENT(OUT) :: order_
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: type_
+
+      IF (PRESENT(i_periodic_)) THEN
+        CALL cxios_get_expand_domain_i_periodic &
+      (expand_domain_hdl%daddr, i_periodic__tmp)
+        i_periodic_ = i_periodic__tmp
+      ENDIF
+
+      IF (PRESENT(j_periodic_)) THEN
+        CALL cxios_get_expand_domain_j_periodic &
+      (expand_domain_hdl%daddr, j_periodic__tmp)
+        j_periodic_ = j_periodic__tmp
+      ENDIF
 
       IF (PRESENT(order_)) THEN
@@ -110,9 +158,13 @@
 
   SUBROUTINE xios(is_defined_expand_domain_attr)  &
-    ( expand_domain_id, order, type )
+    ( expand_domain_id, i_periodic, j_periodic, order, type )
 
     IMPLICIT NONE
       TYPE(txios(expand_domain))  :: expand_domain_hdl
       CHARACTER(LEN=*), INTENT(IN) ::expand_domain_id
+      LOGICAL, OPTIONAL, INTENT(OUT) :: i_periodic
+      LOGICAL(KIND=C_BOOL) :: i_periodic_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: j_periodic
+      LOGICAL(KIND=C_BOOL) :: j_periodic_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: order
       LOGICAL(KIND=C_BOOL) :: order_tmp
@@ -123,13 +175,17 @@
       (expand_domain_id,expand_domain_hdl)
       CALL xios(is_defined_expand_domain_attr_hdl_)   &
-      ( expand_domain_hdl, order, type )
+      ( expand_domain_hdl, i_periodic, j_periodic, order, type )
 
   END SUBROUTINE xios(is_defined_expand_domain_attr)
 
   SUBROUTINE xios(is_defined_expand_domain_attr_hdl)  &
-    ( expand_domain_hdl, order, type )
-
-    IMPLICIT NONE
-      TYPE(txios(expand_domain)) , INTENT(IN) :: expand_domain_hdl
+    ( expand_domain_hdl, i_periodic, j_periodic, order, type )
+
+    IMPLICIT NONE
+      TYPE(txios(expand_domain)) , INTENT(IN) :: expand_domain_hdl
+      LOGICAL, OPTIONAL, INTENT(OUT) :: i_periodic
+      LOGICAL(KIND=C_BOOL) :: i_periodic_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: j_periodic
+      LOGICAL(KIND=C_BOOL) :: j_periodic_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: order
       LOGICAL(KIND=C_BOOL) :: order_tmp
@@ -138,13 +194,17 @@
 
       CALL xios(is_defined_expand_domain_attr_hdl_)  &
-      ( expand_domain_hdl, order, type )
+      ( expand_domain_hdl, i_periodic, j_periodic, order, type )
 
   END SUBROUTINE xios(is_defined_expand_domain_attr_hdl)
 
   SUBROUTINE xios(is_defined_expand_domain_attr_hdl_)   &
-    ( expand_domain_hdl, order_, type_ )
-
-    IMPLICIT NONE
-      TYPE(txios(expand_domain)) , INTENT(IN) :: expand_domain_hdl
+    ( expand_domain_hdl, i_periodic_, j_periodic_, order_, type_ )
+
+    IMPLICIT NONE
+      TYPE(txios(expand_domain)) , INTENT(IN) :: expand_domain_hdl
+      LOGICAL, OPTIONAL, INTENT(OUT) :: i_periodic_
+      LOGICAL(KIND=C_BOOL) :: i_periodic__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: j_periodic_
+      LOGICAL(KIND=C_BOOL) :: j_periodic__tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: order_
       LOGICAL(KIND=C_BOOL) :: order__tmp
@@ -152,4 +212,16 @@
       LOGICAL(KIND=C_BOOL) :: type__tmp
 
+      IF (PRESENT(i_periodic_)) THEN
+        i_periodic__tmp = cxios_is_defined_expand_domain_i_periodic &
+      (expand_domain_hdl%daddr)
+        i_periodic_ = i_periodic__tmp
+      ENDIF
+
+      IF (PRESENT(j_periodic_)) THEN
+        j_periodic__tmp = cxios_is_defined_expand_domain_j_periodic &
+      (expand_domain_hdl%daddr)
+        j_periodic_ = j_periodic__tmp
+      ENDIF
+
       IF (PRESENT(order_)) THEN
         order__tmp = cxios_is_defined_expand_domain_order &
